export interface INavigationPopUpOptions extends Jade.UI.IControlOptions {
    height?: number;
    width?: number;
    anchor: JQuery;
    tipped?: Tipped.ITippedOptions;
    onCreate?: Function;
}
export declare class PopUp extends Jade.UI.Control {
    private m_popUpCreated;
    constructor(options: INavigationPopUpOptions);
    protected get anchor(): JQuery;
    get height(): number;
    get width(): number;
    get visible(): boolean;
    get tipped(): Tipped.ITippedOptions;
    get onCreateCallback(): Function;
    template(): string | Array<string> | JQuery;
    show(): void;
    hide(): void;
    destroy(): void;
    protected popUp_onCreate(): void;
    private ensureTippedPopUp;
    protected getPopUpOptions(options?: Tipped.ITippedOptions): Tipped.ITippedOptions;
}
